Modifying agency bill plans

PATCH an agency bill plan using the following endpoint:
  • PATCH /admin/v1/agency-bill-plans/{agencyBillPlanId}

For plans that are not in use, you can PATCH fields that define agency bill plan behavior. For example, the following PATCH adds support for Canadian dollars and removes support for Japanese yen from the example POST above.

Command

PATCH /admin/v1/agency-bill-plans/bc:146

Request body

{
    "data": {
        "attributes": {
            "currencies": [
                {
                    "code": "usd"
                },
                {
                    "code": "cad"
                }
            ],
            "clearCommissionThresholdDefaults": {
                    "cad": "11.00",
                    "usd": "13.00"
            }
        }
    }
}

If a plan is in use, most fields cannot be PATCHed. The only fields that can be modified are expirationDate and planOrder.